import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HostComponent } from './editor/host/host.component';
import {NodePickerComponent} from './editor/node-picker/node-picker.component';
import {IonicModule} from '@ionic/angular';
import {DatabaseComponent} from './editor/database/database.component';
import {AgGridModule} from 'ag-grid-angular';
import {ColumnsComponent} from './editor/database/columns/columns.component';
import {FormsModule} from '@angular/forms';
import {CodeComponent} from './editor/code/code.component';
import {MonacoEditorModule} from 'ngx-monaco-editor';
import {FilesComponent} from './editor/files/files.component';
import {OptionPickerComponent} from './option-picker/option-picker.component';
import {HostOptionsComponent} from './editor/host-options/host-options.component';
import {OptionMenuComponent} from './option-menu/option-menu.component';
import {SelectorComponent} from './sharing/selector/selector.component';
import {NumericEditorComponent} from './editor/database/editors/numeric/numeric-editor.component';
import {ParagraphEditorComponent} from './editor/database/editors/paragraph/paragraph-editor.component';
import {ParagraphModalComponent} from './editor/database/editors/paragraph/paragraph-modal.component';
import {BooleanEditorComponent} from './editor/database/editors/boolean/boolean-editor.component';
import {SelectEditorComponent} from './editor/database/editors/select/select-editor.component';
import {MultiSelectEditorComponent} from './editor/database/editors/select/multiselect-editor.component';
import {DatetimeEditorComponent} from './editor/database/editors/datetime/datetime-editor.component';
import {DatetimeRendererComponent} from './editor/database/renderers/datetime-renderer.component';
import {CurrencyRendererComponent} from './editor/database/renderers/currency-renderer.component';
import {BooleanRendererComponent} from './editor/database/renderers/boolean-renderer.component';
import {SearchComponent} from './search/Search.component';

@NgModule({
  declarations: [
    HostComponent,
    NodePickerComponent,
    DatabaseComponent,
    ColumnsComponent,
    CodeComponent,
    FilesComponent,
    OptionPickerComponent,
    HostOptionsComponent,
    OptionMenuComponent,
    SelectorComponent,
    NumericEditorComponent,
    ParagraphEditorComponent,
    ParagraphModalComponent,
    BooleanEditorComponent,
    SelectEditorComponent,
    MultiSelectEditorComponent,
    DatetimeEditorComponent,
    DatetimeRendererComponent,
    CurrencyRendererComponent,
    BooleanRendererComponent,
    SearchComponent,
  ],
  imports: [
    CommonModule,
    IonicModule,
    AgGridModule,
    FormsModule,
    MonacoEditorModule
  ],
  entryComponents: [
    HostComponent,
    NodePickerComponent,
    DatabaseComponent,
    ColumnsComponent,
    CodeComponent,
    FilesComponent,
    OptionPickerComponent,
    HostOptionsComponent,
    OptionMenuComponent,
    SelectorComponent,
    NumericEditorComponent,
    ParagraphEditorComponent,
    ParagraphModalComponent,
    BooleanEditorComponent,
    SelectEditorComponent,
    MultiSelectEditorComponent,
    DatetimeEditorComponent,
    DatetimeRendererComponent,
    CurrencyRendererComponent,
    BooleanRendererComponent,
    SearchComponent,
  ],
  exports: [
    HostComponent,
    NodePickerComponent,
    DatabaseComponent,
    ColumnsComponent,
    CodeComponent,
    FilesComponent,
    OptionPickerComponent,
    HostOptionsComponent,
    OptionMenuComponent,
    SelectorComponent,
    NumericEditorComponent,
    ParagraphEditorComponent,
    ParagraphModalComponent,
    BooleanEditorComponent,
    SelectEditorComponent,
    MultiSelectEditorComponent,
    DatetimeEditorComponent,
    DatetimeRendererComponent,
    CurrencyRendererComponent,
    BooleanRendererComponent,
    SearchComponent,
  ]
})
export class ComponentsModule {}
